# $Revision: 1.27 $, $Date: 2009/04/03 20:32:26 $
Summary:	gvfs - userspace virtual filesystem
Summary(pl.UTF-8):	gvfs - wirtualny system plików w przestrzeni użytkownika
Name:		gvfs
Version:	1.2.1
Release:	1
License:	LGPL v2+
Group:		Libraries
Source0:	http://ftp.gnome.org/pub/GNOME/sources/gvfs/1.2/%{name}-%{version}.tar.bz2
# Source0-md5:	df8f624587adfabe7009838ce6d8d5fd
BuildRequires:	GConf2-devel >= 2.24.0
BuildRequires:	autoconf >= 2.50
BuildRequires:	automake
BuildRequires:	avahi-glib-devel >= 0.6.22
BuildRequires:	bluez-libs-devel >= 4.0
BuildRequires:	cdparanoia-III-devel >= 1:10
BuildRequires:	dbus-glib-devel
BuildRequires:	expat-devel
BuildRequires:	gettext-devel
BuildRequires:	glib2-devel >= 1:2.20.0
BuildRequires:	gnome-keyring-devel >= 2.26.0
BuildRequires:	gtk-doc >= 1.8
BuildRequires:	hal-devel >= 0.5.10
BuildRequires:	intltool >= 0.40.0
BuildRequires:	libarchive-devel
BuildRequires:	libcdio-devel >= 0.78.2
BuildRequires:	libfuse-devel
BuildRequires:	libgphoto2-devel >= 2.4.0
BuildRequires:	libsmbclient-devel >= 3.0
BuildRequires:	libsoup-gnome-devel >= 2.26.0
BuildRequires:	libtool
BuildRequires:	libxml2-devel >= 1:2.6.31
BuildRequires:	pkgconfig
Requires:	%{name}-libs = %{version}-%{release}
Suggests:	obex-data-server >= 0.4
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_libexecdir	%{_libdir}/%{name}

%description
gvfs is a userspace virtual filesystem where mount runs as a separate
processes which you talk to via D-BUS. It contains a gio module that
seamlessly adds gvfs support to all applications using the gio API. It
also supports exposing the gvfs mounts to non-gio applications using
FUSE.

%description -l pl.UTF-8
gvfs to wirtualny system plik w przestrzeni użytkownika. Montowanie w
nim działa jako oddzielny proces, z którym komunikacja odbywa się
przez D-BUS. Zawiera moduł gio dodający w sposób przezroczysty obsługę
gfvs-a do wszystkich aplikacji używających API gio. Obsługuje także
montowania gvfs przy użyciu FUSE z myślą o aplikacjach nie
korzystających z gio.

%package libs
Summary:	gvfs libraries
Summary(pl.UTF-8):	Biblioteki gvfs
Group:		Libraries
Requires:	glib2 >= 1:2.20.0

%description libs
gvfs libraries.

%description libs -l pl.UTF-8
Biblioteki gvfs.

%package devel
Summary:	Header files for gvfs library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki gvfs
Group:		Development/Libraries
Requires:	%{name}-libs = %{version}-%{release}
Requires:	glib2-devel >= 1:2.20.0

%description devel
Header files for gvfs library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki gvfs.

%package -n bash-completion-gvfs
Summary:	bash-completion for gvfs
Summary(pl.UTF-8):	bashowe uzupełnianie nazw dla gvfs
Group:		Applications/Shells
Requires:	bash-completion

%description -n bash-completion-gvfs
This package provides bash-completion for gvfs.

%description -n bash-completion-gvfs -l pl.UTF-8
Pakiet ten dostarcza bashowe uzupełnianie nazw dla gvfs.

%prep
%setup -q

%build
%{__intltoolize}
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--with-bash-completion-dir=%{_sysconfdir}/bash_completion.d
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

rm -f $RPM_BUILD_ROOT%{_libdir}/gio/modules/*.la

%find_lang gvfs

%clean
rm -rf $RPM_BUILD_ROOT

%post	libs -p /sbin/ldconfig
%postun	libs -p /sbin/ldconfig

%files -f gvfs.lang
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README TODO
%attr(755,root,root) %{_bindir}/gvfs-cat
%attr(755,root,root) %{_bindir}/gvfs-copy
%attr(755,root,root) %{_bindir}/gvfs-info
%attr(755,root,root) %{_bindir}/gvfs-less
%attr(755,root,root) %{_bindir}/gvfs-ls
%attr(755,root,root) %{_bindir}/gvfs-mkdir
%attr(755,root,root) %{_bindir}/gvfs-monitor-dir
%attr(755,root,root) %{_bindir}/gvfs-monitor-file
%attr(755,root,root) %{_bindir}/gvfs-mount
%attr(755,root,root) %{_bindir}/gvfs-move
%attr(755,root,root) %{_bindir}/gvfs-open
%attr(755,root,root) %{_bindir}/gvfs-rename
%attr(755,root,root) %{_bindir}/gvfs-rm
%attr(755,root,root) %{_bindir}/gvfs-save
%attr(755,root,root) %{_bindir}/gvfs-trash
%attr(755,root,root) %{_bindir}/gvfs-tree
%attr(755,root,root) %{_libdir}/gio/modules/libgiogconf.so
%attr(755,root,root) %{_libdir}/gio/modules/libgioremote-volume-monitor.so
%attr(755,root,root) %{_libdir}/gio/modules/libgvfsdbus.so
%dir %{_libexecdir}
%attr(755,root,root) %{_libexecdir}/gvfsd
%attr(755,root,root) %{_libexecdir}/gvfsd-archive
%attr(755,root,root) %{_libexecdir}/gvfsd-burn
%attr(755,root,root) %{_libexecdir}/gvfsd-cdda
%attr(755,root,root) %{_libexecdir}/gvfsd-computer
%attr(755,root,root) %{_libexecdir}/gvfsd-dav
%attr(755,root,root) %{_libexecdir}/gvfsd-dnssd
%attr(755,root,root) %{_libexecdir}/gvfsd-ftp
%attr(755,root,root) %{_libexecdir}/gvfsd-gphoto2
%attr(755,root,root) %{_libexecdir}/gvfsd-http
%attr(755,root,root) %{_libexecdir}/gvfsd-localtest
%attr(755,root,root) %{_libexecdir}/gvfsd-network
%attr(755,root,root) %{_libexecdir}/gvfsd-obexftp
%attr(755,root,root) %{_libexecdir}/gvfsd-sftp
%attr(755,root,root) %{_libexecdir}/gvfsd-smb
%attr(755,root,root) %{_libexecdir}/gvfsd-smb-browse
%attr(755,root,root) %{_libexecdir}/gvfsd-trash
%attr(755,root,root) %{_libexecdir}/gvfs-fuse-daemon
%attr(755,root,root) %{_libexecdir}/gvfs-gphoto2-volume-monitor
%attr(755,root,root) %{_libexecdir}/gvfs-hal-volume-monitor
%{_datadir}/dbus-1/services/gvfs-daemon.service
%{_datadir}/dbus-1/services/org.gtk.Private.GPhoto2VolumeMonitor.service
%{_datadir}/dbus-1/services/org.gtk.Private.HalVolumeMonitor.service
%dir %{_datadir}/gvfs
%dir %{_datadir}/gvfs/mounts
%dir %{_datadir}/gvfs/remote-volume-monitors
%{_datadir}/gvfs/mounts/archive.mount
%{_datadir}/gvfs/mounts/burn.mount
%{_datadir}/gvfs/mounts/cdda.mount
%{_datadir}/gvfs/mounts/computer.mount
%{_datadir}/gvfs/mounts/dav.mount
%{_datadir}/gvfs/mounts/dav+sd.mount
%{_datadir}/gvfs/mounts/dns-sd.mount
%{_datadir}/gvfs/mounts/ftp.mount
%{_datadir}/gvfs/mounts/gphoto2.mount
%{_datadir}/gvfs/mounts/http.mount
%{_datadir}/gvfs/mounts/localtest.mount
%{_datadir}/gvfs/mounts/network.mount
%{_datadir}/gvfs/mounts/obexftp.mount
%{_datadir}/gvfs/mounts/sftp.mount
%{_datadir}/gvfs/mounts/smb-browse.mount
%{_datadir}/gvfs/mounts/smb.mount
%{_datadir}/gvfs/mounts/trash.mount
%{_datadir}/gvfs/remote-volume-monitors/gphoto2.monitor
%{_datadir}/gvfs/remote-volume-monitors/hal.monitor

%files libs
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libgvfscommon.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libgvfscommon.so.0
%attr(755,root,root) %{_libdir}/libgvfscommon-dnssd.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libgvfscommon-dnssd.so.0

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libgvfscommon.so
%attr(755,root,root) %{_libdir}/libgvfscommon-dnssd.so
%{_libdir}/libgvfscommon.la
%{_libdir}/libgvfscommon-dnssd.la
%{_includedir}/gvfs-client

%files -n bash-completion-gvfs
%defattr(644,root,root,755)
%{_sysconfdir}/bash_completion.d/gvfs-bash-completion.sh

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: gvfs.spec,v $
Revision 1.27  2009/04/03 20:32:26  megabajt
- updated to 1.2.1

Revision 1.26  2009/03/16 18:04:38  megabajt
- updated to 1.2.0; merged changes from DEVEL

Revision 1.25.2.3  2009/03/12 22:08:02  megabajt
- updated to 1.1.8

Revision 1.25.2.2  2009/03/05 19:27:19  megabajt
- updated to 1.1.7

Revision 1.25.2.1  2009/02/19 20:35:54  megabajt
- updated to 1.1.6
- removed -ods.patch (applied upstream)

Revision 1.25  2008/11/29 16:10:11  sls
- rel. 2 (fixed ods.patch, 'network:' browsing works)

Revision 1.24  2008/11/25 17:57:33  megabajt
- updated to 1.0.3

Revision 1.23  2008/10/20 14:13:01  megabajt
- updated to 1.0.2

Revision 1.22  2008/10/18 16:34:30  patrys
- add obex-data-server patch

Revision 1.21  2008/09/25 15:25:40  megabajt
- added bash-completion-gvfs subpackage

Revision 1.20  2008/09/25 14:49:32  megabajt
- updated to 1.0.1; merged changes from DEVEL

Revision 1.17.2.8  2008/09/12 23:58:18  patrys
- 0.99.7.1

Revision 1.17.2.7  2008/09/04 10:45:54  patrys
- 0.99.6

Revision 1.19  2008/09/01 10:40:06  arekm
- rel 2

Revision 1.17.2.6  2008/08/19 10:54:18  patrys
- 0.99.5

Revision 1.17.2.5  2008/08/05 19:29:44  patrys
- proper glib2 version R

Revision 1.17.2.4  2008/08/05 19:28:31  patrys
- 0.99.4

Revision 1.17.2.3  2008/07/24 11:55:44  patrys
- 0.99.3

Revision 1.17.2.2  2008/07/23 14:05:16  patrys
- 0.99.2

Revision 1.18  2008/06/30 13:34:06  megabajt
- updated to 0.2.5

Revision 1.17.2.1  2008/06/04 00:25:24  patrys
- 0.99.1

Revision 1.17  2008-05-27 14:50:05  megabajt
- updated to 0.2.4

Revision 1.16  2008-04-08 14:56:13  megabajt
- updated to 0.2.3

Revision 1.15  2008-03-28 20:46:31  megabajt
- updated to 0.2.2

Revision 1.14  2008-03-19 18:03:17  megabajt
- updated to 0.2.1

Revision 1.13  2008-03-10 20:09:37  megabajt
- updated to 0.2.0.1

Revision 1.12  2008-03-04 17:52:54  megabajt
- updated to 0.1.11

Revision 1.11  2008-02-27 21:05:08  megabajt
- updated to 0.1.8

Revision 1.10  2008-02-12 13:00:45  megabajt
- updated to 0.1.7

Revision 1.9  2008-01-29 23:13:39  megabajt
- updated to 0.1.6

Revision 1.8  2008-01-21 16:28:46  megabajt
- updated to 0.1.4

Revision 1.7  2008-01-19 18:10:16  megabajt
- ghost soname symlink

Revision 1.6  2008-01-15 16:38:57  patrys
- 0.1.2

Revision 1.5  2008-01-13 08:04:41  qboosh
- BR: cdparanoia-III-devel, some versions

Revision 1.4  2008-01-13 07:45:55  qboosh
- pl

Revision 1.3  2008-01-08 19:30:57  megabajt
- updated to 0.1.1

Revision 1.2  2007-12-23 00:04:11  megabajt
- added description
- glib2 epoch
- more verbose files
- cleanup

Revision 1.1  2007-12-22 21:39:14  patrys
- initial PLD release
